#
#  $Header: sqlplus.mk.pp.120,v 6.30 89/10/24 16:37:20 rafsarif Exp $ base sqlplus sqlplus/lib sqlplus.mk.pp 120 Copyr (c) 1988 Oracle Corporation 
#

#
# sqlplus.mk - Makefile to make the SQL*Plus executable. 
#
# References: 
# 	"ORACLE Installation and User's Guide"
#
# Usage:	
#	$ make -f sqlplus.mk ORACLE_HOME=(your ORACLE_HOME) sqlplus
#

.SUFFIXES: .o .c .pc

#
# ORACLE_HOME must be set on the command line or hardcoded here.  For
# example:
# 	ORACLE_HOME = /usr/oracle
#

FORMSHOME=$(ORACLE_HOME)/forms

PLUSLIBS = libplus.a $(ORACLE_HOME)/rdbms/lib/libsql.a
NETLIBS= $(ORACLE_HOME)/rdbms/lib/osntab.o \
	$(ORACLE_HOME)/rdbms/lib/libsqlnet.a 
LIBPLS=$(ORACLE_HOME)/rdbms/lib/libpls.a

AFIMAIN=afidrv.o
FRMIAP=frmiap.o
FORMSLIBS=$(FORMSHOME)/lib/libforms.a
 
ORALIBS = $(ORACLE_HOME)/rdbms/lib/libora.a 

ORALIBST = $(ORALIBS) $(LIBPLS) $(ORALIBS) $(LIBPLS)

LIBKNL=$(ORACLE_HOME)/rdbms/lib/libknl.a

OTHERLIBS=`cat $(ORACLE_HOME)/rdbms/lib/sysliblist`
CLIBS=$(OTHERLIBS)
ECHO=$(ORACLE_HOME)/bin/echodo

CLIBS= -lld  $(OTHERLIBS)

STLIBS= $(ORACLE_HOME)/rdbms/lib/osntabst.o \
	$(ORACLE_HOME)/rdbms/lib/config.o 

CC=cc

CFLAGS=-I. -O

sqlplus: 
	@$(ECHO) $(CC) $(LDFLAGS) -o $@ $(AFIMAIN) $(PLUSLIBS) $(NETLIBS) $(ORALIBS) \
	$(CLIBS)

sqlplusF: 
	@$(ECHO) $(CC) $(LDFLAGS) -o sqlplus $(AFIMAIN) $(FRMIAP) $(PLUSLIBS) \
	$(FORMSLIBS) $(NETLIBS) $(ORALIBS) $(CLIBS)

sqlplusst: 
	@$(ECHO) $(CC) $(LDFLAGS) -o $@ $(AFIMAIN) $(PLUSLIBS) $(STLIBS) $(ORALIBST) $(LIBKNL) $(ORALIBST) $(LIBKNL) $(CLIBS)

RANLIB=ranlib

ranlib : .ranlib

.ranlib : $(RLIBS)
	-$(RANLIB) $?
	@-touch .ranlib

installF: sqlplusF install

install: sqlplus 
	-mv sqlplus $(ORACLE_HOME)/bin/sqlplus
	-chmod 751 $(ORACLE_HOME)/bin/sqlplus
	-chmod 755 $(ORACLE_HOME)/bin/demobld
	-chmod 755 $(ORACLE_HOME)/bin/demodrop
	-chmod 755 $(ORACLE_HOME)/bin/helpins

singletask: sqlplusst
	-mv sqlplusst $(ORACLE_HOME)/bin/sqlplusst
	-chmod 751 $(ORACLE_HOME)/bin/sqlplusst
